Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SNA LU62 API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.snalu62.api
Class SNAConstants

    java.lang.Object
      com.stc.connector.snalu62.api.SNAConstants

    public class SNAConstants

extends java.lang.Object

`SNAConstants` class represents all constants used by the OTD implementation.

Version:
  cvs revision: $Revision: 1.3 $ Last Modified: $Date: 2007/12/12 00:11:32 $
Author:
  Harry Liu (harryliu@seebeyond.com)

Nested Class Summary
`static class` | `SNAConstants.SNAConversationStates` `SNAConversationStates` class represents all conversation states: `CM_INITIALIZE_STATE` `CM_SEND_STATE` `CM_RECEIVE_STATE` `CM_SEND_PENDING_STATE` `CM_CONFIRM_STATE` `CM_CONFIRM_SEND_STATE` `CM_CONFIRM_DEALLOCATE_STATE` `CM_DEFER_RECEIVE_STATE` `CM_DEFER_DEALLOCATE_STATE` `CM_SYNC_POINT_STATE` `CM_SYNC_POINT_SEND_STATE` `CM_SYNC_POINT_DEALLOCATE_STATE` `CM_INITIALIZE_INCOMING_STATE` `CM_SEND_ONLY_STATE` `CM_RECEIVE_ONLY_STATE` `CM_SEND_RECEIVE_STATE` `CM_PREPARED_STATE`
`static class` | `SNAConstants.SNAConversationTypes` `SNAConversationTypes` class represents all conversation types: `CM_BASIC_CONVERSATION` `CM_MAPPED_CONVERSATION`
`static class` | `SNAConstants.SNADataReceivedTypes` `SNADataReceivedTypes` class represents all the following constants that indicate how data has been received: `CM_NO_DATA_RECEIVED` `CM_DATA_RECEIVED` `CM_COMPLETE_DATA_RECEIVED` `CM_INCOMPLETE_DATA_RECEIVED`
`static class` | `SNAConstants.SNADeallocationTypes` `SNADeallocationTypes` class represents all deallocate types: `CM_DEALLOCATE_SYNC_LEVEL` `CM_DEALLOCATE_FLUSH` `CM_DEALLOCATE_CONFIRM` `CM_DEALLOCATE_ABEND`
`static class` | `SNAConstants.SNAErrorDirections` `SNAErrorDirections` class represents all error dorections: `CM_RECEIVE_ERROR` `CM_SEND_ERROR`
`static class` | `SNAConstants.SNAFillTypes` `SNAFillTypes` class represents all fill types: `CM_FILL_LL` `CM_FILL_BUFFER`
`static class` | `SNAConstants.SNAPrepareToReceiveTypes` `SNAPrepareToReceiveTypes` class represents all prepare to receive types: `CM_PREP_TO_RECEIVE_SYNC_LEVEL` `CM_PREP_TO_RECEIVE_FLUSH` `CM_PREP_TO_RECEIVE_CONFIRM`
`static class` | `SNAConstants.SNAProcessingModes` `SNAProcessingModes` class represents all processing mode: `CM_BLOCKING` `CM_NON_BLOCKING`
`static class` | `SNAConstants.SNAReceiveTypes` `SNAReceiveTypes` class represents all receive types: `CM_RECEIVE_AND_WAIT` `CM_RECEIVE_IMMEDIATE`
`static class` | `SNAConstants.SNAReq2SendReceivedTypes` `SNAReq2SendReceivedTypes` class represents all request to send received types: `CM_REQ_TO_SEND_NOT_RECEIVED` `CM_REQ_TO_SEND_RECEIVED`
`static class` | `SNAConstants.SNAReturnCodes` `SNAReturnCodes` class represents all return codes for a CPIC call: `CM_OK` `CM_ALLOCATE_FAILURE_NO_RETRY` `CM_ALLOCATE_FAILURE_RETRY` `CM_CONVERSATION_TYPE_MISMATCH` `CM_PIP_NOT_SPECIFIED_CORRECTLY` `CM_SECURITY_NOT_VALID` `CM_SYNC_LVL_NOT_SUPPORTED_LU` `CM_SYNC_LEVEL_NOT_SUPPORTED_LU` `CM_SYNC_LVL_NOT_SUPPORTED_PGM` `CM_SYNC_LEVEL_NOT_SUPPORTED_PGM` `CM_TPN_NOT_RECOGNIZED` `CM_TPN_NOT_RECOGNISED` `CM_TP_NOT_AVAILABLE_NO_RETRY` `CM_TP_NOT_AVAILABLE_RETRY` `CM_DEALLOCATED_ABEND` `CM_DEALLOCATED_NORMAL` `CM_PARAMETER_ERROR` `CM_PRODUCT_SPECIFIC_ERROR` `CM_PROGRAM_ERROR_NO_TRUNC` `CM_PROGRAM_ERROR_PURGING` `CM_PROGRAM_ERROR_TRUNC` `CM_PROGRAM_PARAMETER_CHECK` `CM_PROGRAM_STATE_CHECK` `CM_RESOURCE_FAILURE_NO_RETRY` `CM_RESOURCE_FAILURE_RETRY` `CM_UNSUCCESSFUL` `CM_DEALLOCATED_ABEND_SVC` `CM_DEALLOCATED_ABEND_TIMER` `CM_SVC_ERROR_NO_TRUNC` `CM_SVC_ERROR_PURGING` `CM_SVC_ERROR_TRUNC` `CM_OPERATION_INCOMPLETE` `CM_SYSTEM_EVENT` `CM_OPERATION_NOT_ACCEPTED` `CM_CONVERSATION_ENDING` `CM_SEND_RCV_MODE_NOT_SUPPORTED` `CM_BUFFER_TOO_SMALL` `CM_EXP_DATA_NOT_SUPPORTED` `CM_DEALLOC_CONFIRM_REJECT` `CM_ALLOCATION_ERROR` `CM_RETRY_LIMIT_EXCEEDED` `CM_NO_SECONDARY_INFORMATION` `CM_SECURITY_NOT_SUPPORTED` `CM_SECURITY_MUTUAL_FAILED` `CM_CALL_NOT_SUPPORTED` `CM_PARM_VALUE_NOT_SUPPORTED` `CM_TAKE_BACKOUT` `CM_DEALLOCATED_ABEND_BO` `CM_DEALLOCATED_ABEND_SVC_BO` `CM_DEALLOCATED_ABEND_TIMER_BO` `CM_RESOURCE_FAIL_NO_RETRY_BO` `CM_RESOURCE_FAILURE_RETRY_BO` `CM_DEALLOCATED_NORMAL_BO` `CM_CONV_DEALLOC_AFTER_SYNCPT` `CM_INCLUDE_PARTNER_REJECT_BO`
`static class` | `SNAConstants.SNAReturnControls` `SNAReturnControls` class represents all return control types: `CM_WHEN_SESSION_ALLOCATED` `CM_IMMEDIATE`
`static class` | `SNAConstants.SNASecurityTypes` `SNASecurityTypes` class represents all security types: `CM_SECURITY_NONE` `CM_SECURITY_SAME` `CM_SECURITY_PROGRAM` `CM_SECURITY_DISTRIBUTED` `CM_SECURITY_MUTUAL` `CM_SECURITY_PROGRAM_STRONG`
`static class` | `SNAConstants.SNASendTypes` `SNASendTypes` class represents all send types: `CM_BUFFER_DATA` `CM_SEND_AND_FLUSH` `CM_SEND_AND_CONFIRM` `CM_SEND_AND_PREP_TO_RECEIVE` `CM_SEND_AND_DEALLOCATE`
`static class` | `SNAConstants.SNAStatusReceivedTypes` `SNAStatusReceivedTypes` class represents all status received types: `CM_NO_STATUS_RECEIVED` `CM_SEND_RECEIVED` `CM_CONFIRM_RECEIVED` `CM_CONFIRM_SEND_RECEIVED` `CM_CONFIRM_DEALLOC_RECEIVED`
`static class` | `SNAConstants.SNASyncLevels` `SNASyncLevels` class represents all sync levels: `CM_NONE` `CM_CONFIRM`

Field Summary
`static java.lang.String` | `version`

Constructor Summary
`SNAConstants()`

Method Summary
`static SNAConstants.SNAConversationStates` | `getConversationStates()` Getter of [OTD].[Constants].[ConversationStates] - a convenient node that groups together all the possible constant values for conversation_state ([OTD].[CPICCalls].[ConversationAttributes].[ConvState]): `CM_INITIALIZE_STATE` `CM_SEND_STATE` `CM_RECEIVE_STATE` `CM_SEND_PENDING_STATE` `CM_CONFIRM_STATE` `CM_CONFIRM_SEND_STATE` `CM_CONFIRM_DEALLOCATE_STATE` `CM_DEFER_RECEIVE_STATE` `CM_DEFER_DEALLOCATE_STATE` `CM_SYNC_POINT_STATE` `CM_SYNC_POINT_SEND_STATE` `CM_SYNC_POINT_DEALLOCATE_STATE` `CM_INITIALIZE_INCOMING_STATE` `CM_SEND_ONLY_STATE` `CM_RECEIVE_ONLY_STATE` `CM_SEND_RECEIVE_STATE` `CM_PREPARED_STATE`
`static SNAConstants.SNAConversationTypes` | `getConversationTypes()` Getter of [OTD].[Constants].[ConversationTypes] - a convenient node that groups together all the possible constant values for conversation_type ([OTD].[CPICCalls].[ConversationAttributes].[ConvType]): `CM_BASIC_CONVERSATION` `CM_MAPPED_CONVERSATION`
`static SNAConstants.SNADataReceivedTypes` | `getDataReceivedTypes()` Getter of [OTD].[Constants].[DataReceivedTypes] - a convenient node that groups together all the possible constant values for data_received ([OTD].[CPICCalls].[ConversationAttributes].[DataReceived]): `CM_NO_DATA_RECEIVED` `CM_DATA_RECEIVED` `CM_COMPLETE_DATA_RECEIVED` `CM_INCOMPLETE_DATA_RECEIVED`
`static SNAConstants.SNADeallocationTypes` | `getDeallocationTypes()` Getter of [OTD].[Constants].[DeallocationTypes] - a convenient node that groups together all the possible constant values for deallocate_type ([OTD].[CPICCalls].[ConversationAttributes].[DeallocType]): `CM_DEALLOCATE_SYNC_LEVEL` `CM_DEALLOCATE_FLUSH` `CM_DEALLOCATE_CONFIRM` `CM_DEALLOCATE_ABEND`
`static SNAConstants.SNAErrorDirections` | `getErrorDirections()` Getter of [OTD].[Constants].[ErrorDirections] - a convenient node that groups together all the possible constant values for error_direction ([OTD].[CPICCalls].[ConversationAttributes].[ErrorDirection]): `CM_RECEIVE_ERROR` `CM_SEND_ERROR`
`static SNAConstants.SNAFillTypes` | `getFillTypes()` Getter of [OTD].[Constants].[FillTypes] - a convenient node that groups together all the possible constant values for fill_type ([OTD].[CPICCalls].[ConversationAttributes].[FillType]) `CM_FILL_LL` `CM_FILL_BUFFER`
`static SNAConstants.SNAPrepareToReceiveTypes` | `getPrepareToReceiveTypes()` Getter of [OTD].[Constants].[PrepareToReceiveTypes] - a convenient node that groups together all the possible constant values for prepare_to_receive_type ([OTD].[CPICCalls].[ConversationAttributes].[PrepareToReceiveType]): `CM_PREP_TO_RECEIVE_SYNC_LEVEL` `CM_PREP_TO_RECEIVE_FLUSH` `CM_PREP_TO_RECEIVE_CONFIRM`
`static SNAConstants.SNAProcessingModes` | `getProcessingModes()` Getter of [OTD].[Constants].[ProcessingModes] - a convenient node that groups together all the possible constant values for processing_mode ([OTD].[CPICCalls].[ConversationAttributes].[ProcessingMode]): `CM_BLOCKING` `CM_NON_BLOCKING`
`static SNAConstants.SNAReceiveTypes` | `getReceiveTypes()` Getter of [OTD].[Constants].[ReceiveTypes] - a convenient node that groups together all the possible constant values for receive_type ([OTD].[CPICCalls].[ConversationAttributes].[ReceiveType]): `CM_RECEIVE_AND_WAIT` `CM_RECEIVE_IMMEDIATE`
`static SNAConstants.SNAReq2SendReceivedTypes` | `getReq2SendReceivedTypes()` Getter of [OTD].[Constants].[Req2SendReceivedTypes] - a convenient node that groups together all the possible constant values for request_to_send_received ([OTD].[CPICCalls].[ConversationAttributes].[Req2SendReceivedType]): `CM_REQ_TO_SEND_NOT_RECEIVED` `CM_REQ_TO_SEND_RECEIVED`
`static SNAConstants.SNAReturnCodes` | `getReturnCodes()` Getter of [OTD].[Constants].[ReturnCodes] - a convenient node that groups together all the possible constant values for return_Code ([OTD].[CPICCalls].[CPICCalls].[ConversationAttributes].[ReturnCode]): `CM_OK` `CM_ALLOCATE_FAILURE_NO_RETRY` `CM_ALLOCATE_FAILURE_RETRY` `CM_CONVERSATION_TYPE_MISMATCH` `CM_PIP_NOT_SPECIFIED_CORRECTLY` `CM_SECURITY_NOT_VALID` `CM_SYNC_LVL_NOT_SUPPORTED_LU` `CM_SYNC_LEVEL_NOT_SUPPORTED_LU` `CM_SYNC_LVL_NOT_SUPPORTED_PGM` `CM_SYNC_LEVEL_NOT_SUPPORTED_PGM` `CM_TPN_NOT_RECOGNIZED` `CM_TPN_NOT_RECOGNISED` `CM_TP_NOT_AVAILABLE_NO_RETRY` `CM_TP_NOT_AVAILABLE_RETRY` `CM_DEALLOCATED_ABEND` `CM_DEALLOCATED_NORMAL` `CM_PARAMETER_ERROR` `CM_PRODUCT_SPECIFIC_ERROR` `CM_PROGRAM_ERROR_NO_TRUNC` `CM_PROGRAM_ERROR_PURGING` `CM_PROGRAM_ERROR_TRUNC` `CM_PROGRAM_PARAMETER_CHECK` `CM_PROGRAM_STATE_CHECK` `CM_RESOURCE_FAILURE_NO_RETRY` `CM_RESOURCE_FAILURE_RETRY` `CM_UNSUCCESSFUL` `CM_DEALLOCATED_ABEND_SVC` `CM_DEALLOCATED_ABEND_TIMER` `CM_SVC_ERROR_NO_TRUNC` `CM_SVC_ERROR_PURGING` `CM_SVC_ERROR_TRUNC` `CM_OPERATION_INCOMPLETE` `CM_SYSTEM_EVENT` `CM_OPERATION_NOT_ACCEPTED` `CM_CONVERSATION_ENDING` `CM_SEND_RCV_MODE_NOT_SUPPORTED` `CM_BUFFER_TOO_SMALL` `CM_EXP_DATA_NOT_SUPPORTED` `CM_DEALLOC_CONFIRM_REJECT` `CM_ALLOCATION_ERROR` `CM_RETRY_LIMIT_EXCEEDED` `CM_NO_SECONDARY_INFORMATION` `CM_SECURITY_NOT_SUPPORTED` `CM_SECURITY_MUTUAL_FAILED` `CM_CALL_NOT_SUPPORTED` `CM_PARM_VALUE_NOT_SUPPORTED` `CM_TAKE_BACKOUT` `CM_DEALLOCATED_ABEND_BO` `CM_DEALLOCATED_ABEND_SVC_BO` `CM_DEALLOCATED_ABEND_TIMER_BO` `CM_RESOURCE_FAIL_NO_RETRY_BO` `CM_RESOURCE_FAILURE_RETRY_BO` `CM_DEALLOCATED_NORMAL_BO` `CM_CONV_DEALLOC_AFTER_SYNCPT` `CM_INCLUDE_PARTNER_REJECT_BO`
`static SNAConstants.SNAReturnControls` | `getReturnControls()` Getter of [OTD].[Constants].[ReturnControls] - a convenient node that groups together all the possible constant values for return_control ([OTD].[CPICCalls].[ConversationAttributes].[ReturnControl]): `CM_WHEN_SESSION_ALLOCATED` `CM_IMMEDIATE`
`static SNAConstants.SNASecurityTypes` | `getSecurityTypes()` Getter of [OTD].[Constants].[SecurityTypes] - a convenient node that groups together all the possible constant values for security_Type ([OTD].[CPICCalls].[ConversationAttributes].[SecurityType]): `CM_SECURITY_NONE` `CM_SECURITY_SAME` `CM_SECURITY_PROGRAM` `CM_SECURITY_DISTRIBUTED` `CM_SECURITY_MUTUAL` `CM_SECURITY_PROGRAM_STRONG`
`static SNAConstants.SNASendTypes` | `getSendTypes()` Getter of [OTD].[Constants].[SendTypes] - a convenient node that groups together all the possible constant values for send_type ([OTD].[CPICCalls].[ConversationAttributes].[SendType]): `CM_BUFFER_DATA` `CM_SEND_AND_FLUSH` `CM_SEND_AND_CONFIRM` `CM_SEND_AND_PREP_TO_RECEIVE` `CM_SEND_AND_DEALLOCATE`
`static SNAConstants.SNAStatusReceivedTypes` | `getStatusReceivedTypes()` Getter of [OTD].[Constants].[StatusReceivedTypes] - a convenient node that groups together all the possible constant values for status_received ([OTD].[CPICCalls].[ConversationAttributes].[StatusReceived]): `CM_NO_STATUS_RECEIVED` `CM_SEND_RECEIVED` `CM_CONFIRM_RECEIVED` `CM_CONFIRM_SEND_RECEIVED` `CM_CONFIRM_DEALLOC_RECEIVED` `CM_TAKE_COMMIT` `CM_TAKE_COMMIT_SEND` `CM_TAKE_COMMIT_DEALLOCATE` `CM_TAKE_COMMIT_DATA_OK` `CM_TAKE_COMMIT_SEND_DATA_OK` `CM_TAKE_COMMIT_DEALLOC_DATA_OK` `CM_PREPARE_OK` `CM_JOINT_TRANSACTION`
`static SNAConstants.SNASyncLevels` | `getSyncLevels()` Getter of [OTD].[Constants].[SyncLevels] - a convenient node that groups together all the possible constant values for sync_level ([OTD].[CPICCalls].[ConversationAttributes].[SyncLevel]): `CM_NONE` `CM_CONFIRM` `CM_SYNC_POINT` `CM_SYNC_POINT_NO_CONFIRM`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

Constructor Detail

### SNAConstants

    public SNAConstants()

Method Detail

### getConversationStates

    public static final SNAConstants.SNAConversationStates getConversationStates()

  Getter of [OTD].[Constants].[ConversationStates] - a convenient node that groups together all the possible constant values for conversation_state ([OTD].[CPICCalls].[ConversationAttributes].[ConvState]):
    `CM_INITIALIZE_STATE`
    `CM_SEND_STATE`
    `CM_RECEIVE_STATE`
    `CM_SEND_PENDING_STATE`
    `CM_CONFIRM_STATE`
    `CM_CONFIRM_SEND_STATE`
    `CM_CONFIRM_DEALLOCATE_STATE`
    `CM_DEFER_RECEIVE_STATE`
    `CM_DEFER_DEALLOCATE_STATE`
    `CM_SYNC_POINT_STATE`
    `CM_SYNC_POINT_SEND_STATE`
    `CM_SYNC_POINT_DEALLOCATE_STATE`
    `CM_INITIALIZE_INCOMING_STATE`
    `CM_SEND_ONLY_STATE`
    `CM_RECEIVE_ONLY_STATE`
    `CM_SEND_RECEIVE_STATE`
    `CM_PREPARED_STATE`

  Returns:
    a delegate object holding above constants

### getConversationTypes

    public static final SNAConstants.SNAConversationTypes getConversationTypes()

  Getter of [OTD].[Constants].[ConversationTypes] - a convenient node that groups together all the possible constant values for conversation_type ([OTD].[CPICCalls].[ConversationAttributes].[ConvType]):
    `CM_BASIC_CONVERSATION`
    `CM_MAPPED_CONVERSATION`

  Returns:
    a delegate object holding above constants

### getErrorDirections

    public static final SNAConstants.SNAErrorDirections getErrorDirections()

  Getter of [OTD].[Constants].[ErrorDirections] - a convenient node that groups together all the possible constant values for error_direction ([OTD].[CPICCalls].[ConversationAttributes].[ErrorDirection]):
    `CM_RECEIVE_ERROR`
    `CM_SEND_ERROR`

  Returns:
    a delegate object holding above constants

### getSyncLevels

    public static final SNAConstants.SNASyncLevels getSyncLevels()

  Getter of [OTD].[Constants].[SyncLevels] - a convenient node that groups together all the possible constant values for sync_level ([OTD].[CPICCalls].[ConversationAttributes].[SyncLevel]):
    `CM_NONE`
    `CM_CONFIRM`
    `CM_SYNC_POINT`
    `CM_SYNC_POINT_NO_CONFIRM`

  Returns:
    a delegate object holding above constants

### getFillTypes

    public static final SNAConstants.SNAFillTypes getFillTypes()

  Getter of [OTD].[Constants].[FillTypes] - a convenient node that groups together all the possible constant values for fill_type ([OTD].[CPICCalls].[ConversationAttributes].[FillType])
    `CM_FILL_LL`
    `CM_FILL_BUFFER`

  Returns:
    a delegate object holding above constants

### getProcessingModes

    public static final SNAConstants.SNAProcessingModes getProcessingModes()

  Getter of [OTD].[Constants].[ProcessingModes] - a convenient node that groups together all the possible constant values for processing_mode ([OTD].[CPICCalls].[ConversationAttributes].[ProcessingMode]):
    `CM_BLOCKING`
    `CM_NON_BLOCKING`

  Returns:
    a delegate object holding above constants

### getPrepareToReceiveTypes

    public static final SNAConstants.SNAPrepareToReceiveTypes getPrepareToReceiveTypes()

  Getter of [OTD].[Constants].[PrepareToReceiveTypes] - a convenient node that groups together all the possible constant values for prepare_to_receive_type ([OTD].[CPICCalls].[ConversationAttributes].[PrepareToReceiveType]):
    `CM_PREP_TO_RECEIVE_SYNC_LEVEL`
    `CM_PREP_TO_RECEIVE_FLUSH`
    `CM_PREP_TO_RECEIVE_CONFIRM`

  Returns:
    a delegate object holding above constants

### getReturnControls

    public static final SNAConstants.SNAReturnControls getReturnControls()

  Getter of [OTD].[Constants].[ReturnControls] - a convenient node that groups together all the possible constant values for return_control ([OTD].[CPICCalls].[ConversationAttributes].[ReturnControl]):
    `CM_WHEN_SESSION_ALLOCATED`
    `CM_IMMEDIATE`

  Returns:
    a delegate object holding above constants

### getReceiveTypes

    public static final SNAConstants.SNAReceiveTypes getReceiveTypes()

  Getter of [OTD].[Constants].[ReceiveTypes] - a convenient node that groups together all the possible constant values for receive_type ([OTD].[CPICCalls].[ConversationAttributes].[ReceiveType]):
    `CM_RECEIVE_AND_WAIT`
    `CM_RECEIVE_IMMEDIATE`

  Returns:
    a delegate object holding above constants

### getSendTypes

    public static final SNAConstants.SNASendTypes getSendTypes()

  Getter of [OTD].[Constants].[SendTypes] - a convenient node that groups together all the possible constant values for send_type ([OTD].[CPICCalls].[ConversationAttributes].[SendType]):
    `CM_BUFFER_DATA`
    `CM_SEND_AND_FLUSH`
    `CM_SEND_AND_CONFIRM`
    `CM_SEND_AND_PREP_TO_RECEIVE`
    `CM_SEND_AND_DEALLOCATE`

  Returns:
    a delegate object holding above constants

### getDeallocationTypes

    public static final SNAConstants.SNADeallocationTypes getDeallocationTypes()

  Getter of [OTD].[Constants].[DeallocationTypes] - a convenient node that groups together all the possible constant values for deallocate_type ([OTD].[CPICCalls].[ConversationAttributes].[DeallocType]):
    `CM_DEALLOCATE_SYNC_LEVEL`
    `CM_DEALLOCATE_FLUSH`
    `CM_DEALLOCATE_CONFIRM`
    `CM_DEALLOCATE_ABEND`

  Returns:
    a delegate object holding above constants

### getReq2SendReceivedTypes

    public static final SNAConstants.SNAReq2SendReceivedTypes getReq2SendReceivedTypes()

  Getter of [OTD].[Constants].[Req2SendReceivedTypes] - a convenient node that groups together all the possible constant values for request_to_send_received ([OTD].[CPICCalls].[ConversationAttributes].[Req2SendReceivedType]):
    `CM_REQ_TO_SEND_NOT_RECEIVED`
    `CM_REQ_TO_SEND_RECEIVED`

  Returns:
    a delegate object holding above constants

### getStatusReceivedTypes

    public static final SNAConstants.SNAStatusReceivedTypes getStatusReceivedTypes()

  Getter of [OTD].[Constants].[StatusReceivedTypes] - a convenient node that groups together all the possible constant values for status_received ([OTD].[CPICCalls].[ConversationAttributes].[StatusReceived]):
    `CM_NO_STATUS_RECEIVED`
    `CM_SEND_RECEIVED`
    `CM_CONFIRM_RECEIVED`
    `CM_CONFIRM_SEND_RECEIVED`
    `CM_CONFIRM_DEALLOC_RECEIVED`
    `CM_TAKE_COMMIT`
    `CM_TAKE_COMMIT_SEND`
    `CM_TAKE_COMMIT_DEALLOCATE`
    `CM_TAKE_COMMIT_DATA_OK`
    `CM_TAKE_COMMIT_SEND_DATA_OK`
    `CM_TAKE_COMMIT_DEALLOC_DATA_OK`
    `CM_PREPARE_OK`
    `CM_JOINT_TRANSACTION`

  Returns:
    a delegate object holding above constants

### getDataReceivedTypes

    public static final SNAConstants.SNADataReceivedTypes getDataReceivedTypes()

  Getter of [OTD].[Constants].[DataReceivedTypes] - a convenient node that groups together all the possible constant values for data_received ([OTD].[CPICCalls].[ConversationAttributes].[DataReceived]):
    `CM_NO_DATA_RECEIVED`
    `CM_DATA_RECEIVED`
    `CM_COMPLETE_DATA_RECEIVED`
    `CM_INCOMPLETE_DATA_RECEIVED`

  Returns:
    a delegate object holding above constants

### getReturnCodes

    public static final SNAConstants.SNAReturnCodes getReturnCodes()

  Getter of [OTD].[Constants].[ReturnCodes] - a convenient node that groups together all the possible constant values for return_Code ([OTD].[CPICCalls].[CPICCalls].[ConversationAttributes].[ReturnCode]):
    `CM_OK`
    `CM_ALLOCATE_FAILURE_NO_RETRY`
    `CM_ALLOCATE_FAILURE_RETRY`
    `CM_CONVERSATION_TYPE_MISMATCH`
    `CM_PIP_NOT_SPECIFIED_CORRECTLY`
    `CM_SECURITY_NOT_VALID`
    `CM_SYNC_LVL_NOT_SUPPORTED_LU`
    `CM_SYNC_LEVEL_NOT_SUPPORTED_LU`
    `CM_SYNC_LVL_NOT_SUPPORTED_PGM`
    `CM_SYNC_LEVEL_NOT_SUPPORTED_PGM`
    `CM_TPN_NOT_RECOGNIZED`
    `CM_TPN_NOT_RECOGNISED`
    `CM_TP_NOT_AVAILABLE_NO_RETRY`
    `CM_TP_NOT_AVAILABLE_RETRY`
    `CM_DEALLOCATED_ABEND`
    `CM_DEALLOCATED_NORMAL`
    `CM_PARAMETER_ERROR`
    `CM_PRODUCT_SPECIFIC_ERROR`
    `CM_PROGRAM_ERROR_NO_TRUNC`
    `CM_PROGRAM_ERROR_PURGING`
    `CM_PROGRAM_ERROR_TRUNC`
    `CM_PROGRAM_PARAMETER_CHECK`
    `CM_PROGRAM_STATE_CHECK`
    `CM_RESOURCE_FAILURE_NO_RETRY`
    `CM_RESOURCE_FAILURE_RETRY`
    `CM_UNSUCCESSFUL`
    `CM_DEALLOCATED_ABEND_SVC`
    `CM_DEALLOCATED_ABEND_TIMER`
    `CM_SVC_ERROR_NO_TRUNC`
    `CM_SVC_ERROR_PURGING`
    `CM_SVC_ERROR_TRUNC`
    `CM_OPERATION_INCOMPLETE`
    `CM_SYSTEM_EVENT`
    `CM_OPERATION_NOT_ACCEPTED`
    `CM_CONVERSATION_ENDING`
    `CM_SEND_RCV_MODE_NOT_SUPPORTED`
    `CM_BUFFER_TOO_SMALL`
    `CM_EXP_DATA_NOT_SUPPORTED`
    `CM_DEALLOC_CONFIRM_REJECT`
    `CM_ALLOCATION_ERROR`
    `CM_RETRY_LIMIT_EXCEEDED`
    `CM_NO_SECONDARY_INFORMATION`
    `CM_SECURITY_NOT_SUPPORTED`
    `CM_SECURITY_MUTUAL_FAILED`
    `CM_CALL_NOT_SUPPORTED`
    `CM_PARM_VALUE_NOT_SUPPORTED`
    `CM_TAKE_BACKOUT`
    `CM_DEALLOCATED_ABEND_BO`
    `CM_DEALLOCATED_ABEND_SVC_BO`
    `CM_DEALLOCATED_ABEND_TIMER_BO`
    `CM_RESOURCE_FAIL_NO_RETRY_BO`
    `CM_RESOURCE_FAILURE_RETRY_BO`
    `CM_DEALLOCATED_NORMAL_BO`
    `CM_CONV_DEALLOC_AFTER_SYNCPT`
    `CM_INCLUDE_PARTNER_REJECT_BO`

  Returns:
    a delegate object holding above constants

### getSecurityTypes

    public static final SNAConstants.SNASecurityTypes getSecurityTypes()

  Getter of [OTD].[Constants].[SecurityTypes] - a convenient node that groups together all the possible constant values for security_Type ([OTD].[CPICCalls].[ConversationAttributes].[SecurityType]):
    `CM_SECURITY_NONE`
    `CM_SECURITY_SAME`
    `CM_SECURITY_PROGRAM`
    `CM_SECURITY_DISTRIBUTED`
    `CM_SECURITY_MUTUAL`
    `CM_SECURITY_PROGRAM_STRONG`

  Returns:
    a delegate object holding above constants

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SNA LU62 API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.